Get Application Flow Summary

Get Application Flow Summary
Show application flow summary

Show application details

Request
URI
GET
https://{api_host}/api/ni/groups/applications/{id}/flow-summary
COPY
Path Parameters
string
id
Required

The Entity ID of object requestion information on

Query Parameters
number
start_time
Optional

Start time for query in epoch seconds

number
end_time
Optional

End time for query in epoch seconds


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ApplicationFlowSummary of type(s) application/json
{
    "service_endpoint_count": 0,
    "groups": [
        {
            "group_id": "string",
            "entity_id": "string",
            "entity_type": "string",
            "flow_summary": {
                "ingress_bytes": 0,
                "egress_bytes": 0
            }
        }
    ],
    "start_time": 1597247025,
    "end_time": 1597247999
}
integer
service_endpoint_count
Optional

service_endpoint_count

array of object
groups
Optional

groups

integer As int64 As int64
start_time
Optional

Start timestamp of the window of the objects returned

integer As int64 As int64
end_time
Optional

End timestamp of the window of the objects returned


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/applications/{id}/flow-summary